| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
I2CD_API_T Struct Reference
CHIP: LPC8xx I2C ROM API declarations and functions

## Detailed Description

LPC8xx I2C ROM driver APIs structure

Definition at line 92 of file i2cd_8xx.h.

`#include "i2cd_8xx.h"`

## Data Fields
void(* | i2c_isr_handler )(I2C_HANDLE_T *handle)
int32_t(* | i2c_master_transmit_poll )(I2C_HANDLE_T *handle, I2C_PARAM_T *param, I2C_RESULT_T *result)
int32_t(* | i2c_master_receive_poll )(I2C_HANDLE_T *handle, I2C_PARAM_T *param, I2C_RESULT_T *result)
int32_t(* | i2c_master_tx_rx_poll )(I2C_HANDLE_T *handle, I2C_PARAM_T *param, I2C_RESULT_T *result)
int32_t(* | i2c_master_transmit_intr )(I2C_HANDLE_T *handle, I2C_PARAM_T *param, I2C_RESULT_T *result)
int32_t(* | i2c_master_receive_intr )(I2C_HANDLE_T *handle, I2C_PARAM_T *param, I2C_RESULT_T *result)
int32_t(* | i2c_master_tx_rx_intr )(I2C_HANDLE_T *handle, I2C_PARAM_T *param, I2C_RESULT_T *result)
int32_t(* | i2c_slave_receive_poll )(I2C_HANDLE_T *handle, I2C_PARAM_T *param, I2C_RESULT_T *result)
int32_t(* | i2c_slave_transmit_poll )(I2C_HANDLE_T *handle, I2C_PARAM_T *param, I2C_RESULT_T *result)
int32_t(* | i2c_slave_receive_intr )(I2C_HANDLE_T *handle, I2C_PARAM_T *param, I2C_RESULT_T *result)
int32_t(* | i2c_slave_transmit_intr )(I2C_HANDLE_T *handle, I2C_PARAM_T *param, I2C_RESULT_T *result)
int32_t(* | i2c_set_slave_addr )(I2C_HANDLE_T *handle, uint32_t slave_addr_0_3, uint32_t slave_mask_0)
uint32_t(* | i2c_get_mem_size )(void)
I2C_HANDLE_T *(* | i2c_setup )(uint32_t i2c_base_addr, uint32_t *start_of_ram)
int32_t(* | i2c_set_bitrate )(I2C_HANDLE_T *handle, uint32_t P_clk_in_hz, uint32_t bitrate_in_bps)
uint32_t(* | i2c_get_firmware_version )(void)
CHIP_I2C_MODE_T(* | i2c_get_status )(I2C_HANDLE_T *handle)
int32_t(* | i2c_set_timeout )(I2C_HANDLE_T *handle, uint32_t timeout)

## Field Documentation

uint32_t(* i2c_get_firmware_version)(void)

Definition at line 115 of file i2cd_8xx.h.

uint32_t(* i2c_get_mem_size)(void)

Definition at line 112 of file i2cd_8xx.h.

CHIP_I2C_MODE_T(* i2c_get_status)(I2C_HANDLE_T *handle)

Definition at line 116 of file i2cd_8xx.h.

void(* i2c_isr_handler)(I2C_HANDLE_T *handle)

< Interrupt Support Routine MASTER functions

Definition at line 94 of file i2cd_8xx.h.

int32_t(* i2c_master_receive_intr)(I2C_HANDLE_T *handle, I2C_PARAM_T *param, I2C_RESULT_T *result)

Definition at line 101 of file i2cd_8xx.h.

int32_t(* i2c_master_receive_poll)(I2C_HANDLE_T *handle, I2C_PARAM_T *param, I2C_RESULT_T *result)

Definition at line 98 of file i2cd_8xx.h.

int32_t(* i2c_master_transmit_intr)(I2C_HANDLE_T *handle, I2C_PARAM_T *param, I2C_RESULT_T *result)

Definition at line 100 of file i2cd_8xx.h.

int32_t(* i2c_master_transmit_poll)(I2C_HANDLE_T *handle, I2C_PARAM_T *param, I2C_RESULT_T *result)

Definition at line 97 of file i2cd_8xx.h.

int32_t(* i2c_master_tx_rx_intr)(I2C_HANDLE_T *handle, I2C_PARAM_T *param, I2C_RESULT_T *result)

SLAVE functions

Definition at line 102 of file i2cd_8xx.h.

int32_t(* i2c_master_tx_rx_poll)(I2C_HANDLE_T *handle, I2C_PARAM_T *param, I2C_RESULT_T *result)

Definition at line 99 of file i2cd_8xx.h.

int32_t(* i2c_set_bitrate)(I2C_HANDLE_T *handle, uint32_t P_clk_in_hz, uint32_t bitrate_in_bps)

Definition at line 114 of file i2cd_8xx.h.

int32_t(* i2c_set_slave_addr)(I2C_HANDLE_T *handle, uint32_t slave_addr_0_3, uint32_t slave_mask_0)

OTHER support functions

Definition at line 109 of file i2cd_8xx.h.

int32_t(* i2c_set_timeout)(I2C_HANDLE_T *handle, uint32_t timeout)

Definition at line 117 of file i2cd_8xx.h.

I2C_HANDLE_T*(* i2c_setup)(uint32_t i2c_base_addr, uint32_t *start_of_ram)

Definition at line 113 of file i2cd_8xx.h.

int32_t(* i2c_slave_receive_intr)(I2C_HANDLE_T *handle, I2C_PARAM_T *param, I2C_RESULT_T *result)

Definition at line 107 of file i2cd_8xx.h.

int32_t(* i2c_slave_receive_poll)(I2C_HANDLE_T *handle, I2C_PARAM_T *param, I2C_RESULT_T *result)

Definition at line 105 of file i2cd_8xx.h.

int32_t(* i2c_slave_transmit_intr)(I2C_HANDLE_T *handle, I2C_PARAM_T *param, I2C_RESULT_T *result)

Definition at line 108 of file i2cd_8xx.h.

int32_t(* i2c_slave_transmit_poll)(I2C_HANDLE_T *handle, I2C_PARAM_T *param, I2C_RESULT_T *result)

Definition at line 106 of file i2cd_8xx.h.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_chip/chip_8xx/i2cd_8xx.h